Skip to main content
GET
/
api
/
v1
/
training
/
{trainingJobKey}
Get training job
curl --request GET \
  --url https://api.mathfi.ai/api/v1/training/{trainingJobKey} \
  --header 'Authorization: Bearer <token>'
{
  "trainingJobKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "datasetKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "PENDING",
  "targetPerformance": 123,
  "scalingFactor": 123,
  "achievedPerformance": 123,
  "trainingPerformance": 123,
  "testPerformance": 123,
  "modelKey": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Obtain a token from POST /api/login. Valid for 1 hour.

Path Parameters

trainingJobKey
string<uuid>
required

Response

Training job retrieved successfully

trainingJobKey
string<uuid>
required
datasetKey
string<uuid>
required
status
enum<string>
required

Status of a training job:

StatusDescription
PENDINGQueued, not yet started
RUNNINGAlgorithms competing in parallel
COMPLETEDTarget performance reached. Champion model created.
TIMED_OUTDid not reach target performance within the time limit
NOT_COMPLETEDStalled — no progress detected for a sustained period
CANCELLEDCancelled by the user
FAILEDFailed due to an internal error
Available options:
PENDING,
RUNNING,
COMPLETED,
TIMED_OUT,
NOT_COMPLETED,
CANCELLED,
FAILED
targetPerformance
number<double>
required
scalingFactor
integer<int32> | null
achievedPerformance
number<double> | null
trainingPerformance
number<double>
testPerformance
number<double>
modelKey
string<uuid> | null